diff -pruN 1.3.4/crypto/crypto.c 1.3.4ubuntu3/crypto/crypto.c
--- 1.3.4/crypto/crypto.c	2020-08-17 17:09:07.000000000 +0000
+++ 1.3.4ubuntu3/crypto/crypto.c	2020-08-27 11:09:16.000000000 +0000
@@ -252,6 +252,14 @@ static int blockcipher_prep(Tcl_Interp *
   int rc;
   CiphKeyValue *key;
 
+  /* placate gcc, see Debian #968734 */
+  *key_r= 0;
+  *sched_r= 0;
+  *iv_r= 0;
+  *iv_lenbytes_r= 0;
+  *buffers_r= 0;
+  *nblocks_r= 0;
+
   if (data_len % alg->blocksize)
     return cht_staticerr(ip, "block cipher input not whole number of blocks",
 		     "HBYTES BLOCKCIPHER LENGTH");
diff -pruN 1.3.4/debian/changelog 1.3.4ubuntu3/debian/changelog
--- 1.3.4/debian/changelog	2020-08-17 17:09:07.000000000 +0000
+++ 1.3.4ubuntu3/debian/changelog	2020-08-27 11:09:22.000000000 +0000
@@ -1,3 +1,9 @@
+chiark-tcl (1.3.4ubuntu3) groovy; urgency=medium
+
+  * Update with proposed patch on bug #968734
+
+ -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Aug 2020 13:09:22 +0200
+
 chiark-tcl (1.3.4) unstable; urgency=medium
 
   * debian/tests/control: Update to libnettle8.  Fixes DEP-8 failure.
